org.apache.hc.core5.http

## Enum Method

- java.lang.Object
- - java.lang.Enum<Method>
  - - org.apache.hc.core5.http.Method

- All Implemented Interfaces:
    Serializable, Comparable<Method>

      public enum Method
      extends Enum<Method>

  Common HTTP methods defined by the HTTP spec.
  Since:
    5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECT`
    `DELETE`
    `GET`
    `HEAD`
    `OPTIONS`
    `PATCH`
    `POST`
    `PUT`
    `TRACE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isIdempotent()`
    `static boolean` | `isIdempotent(String value)`
    `boolean` | `isSafe()`
    `static boolean` | `isSafe(String value)`
    `boolean` | `isSame(String value)`
    `static Method` | `normalizedValueOf(String method)` Returns the Method for a normalized `value` of a method name.
    `static Method` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final Method GET

    - #### HEAD

          public static final Method HEAD

    - #### POST

          public static final Method POST

    - #### PUT

          public static final Method PUT

    - #### DELETE

          public static final Method DELETE

    - #### CONNECT

          public static final Method CONNECT

    - #### TRACE

          public static final Method TRACE

    - #### OPTIONS

          public static final Method OPTIONS

    - #### PATCH

          public static final Method PATCH

  - ### Method Detail

    - #### values

          public static Method[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Method c : Method.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Method valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isSafe

          public boolean isSafe()

    - #### isIdempotent

          public boolean isIdempotent()

    - #### isSafe

          public static boolean isSafe(String value)

    - #### isIdempotent

          public static boolean isIdempotent(String value)

    - #### normalizedValueOf

          public static Method normalizedValueOf(String method)

      Returns the Method for a normalized `value` of a method name.
      Parameters:
        `method` - A method name like `"delete"`, `"DELETE"`, or any mixed-case variant.
      Returns:
        the Method for the given method name.

    - #### isSame

          public boolean isSame(String value)

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.